# NAME

git-annex fromkey - adds a file using a specific key

# SYNOPSIS

git annex fromkey `[key file ...]`

# DESCRIPTION

This plumbing-level command can be used to manually set up a file
in the git repository to link to a specified key.

Multiple pairs of file and key can be given in a single command line.

If no key and file pair are specified on the command line, batch input
is used, the same as if the --batch option were specified.

Normally the key is a git-annex formatted key. However, to make it easier
to use this to add urls, if the key cannot be parsed as a key, and is a
valid url, an URL key is constructed from the url. Note that this does not
register the url as a location of the key; use [[git-annex-registerurl]](1)
to do that.

# OPTIONS

* `--force`

  Allow making a file link to a key whose content is not in the local
  repository. The key may not be known to git-annex at all.

* `--batch`

  In batch input mode, lines are read from stdin, and each line
  should contain a key and filename, separated by a single space.

* `-z`

  When in batch mode, the input is delimited by nulls instead of the usual
  newlines.

  (Note that for this to be used, you have to explicitly enable batch mode
  with `--batch`)

# SEE ALSO

[[git-annex]](1)

# AUTHOR

Joey Hess <id@joeyh.name>

Warning: Automatically converted into a man page by mdwn2man. Edit with care.
